GraphicsInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class GraphicsInfo

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.GraphicsInfo

    public class GraphicsInfo

extends java.lang.Object

Author:
  Marvin Froehlich (CTDP)

Nested Class Summary
`static interface` | `GraphicsInfo.GraphicsInfoUpdateListener`

Method Summary
`java.awt.Color` | `getAmbientColor()` Gets the current ambient color.
`void` | `getCameraOrientation(TelemVect3 orientation)` camera orientation
`void` | `getCameraPosition(TelemVect3 position)` camera position in meters
`float` | `getCameraPositionX()` Gets camera position in meters.
`float` | `getCameraPositionY()` Gets camera position in meters.
`float` | `getCameraPositionZ()` Gets camera position in meters.
`long` | `getUpdateId()` This is incremented every time the info is updated.
`boolean` | `isUpdatedInRealtimeMode()` Gets, whether the last update of these data has been done while in realtime mode.
`void` | `readFromStream(java.io.InputStream in)`
`void` | `registerListener(GraphicsInfo.GraphicsInfoUpdateListener l)`
`void` | `unregisterListener(GraphicsInfo.GraphicsInfoUpdateListener l)`
`void` | `writeToStream(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### registerListener

    public void registerListener(GraphicsInfo.GraphicsInfoUpdateListener l)

### unregisterListener

    public void unregisterListener(GraphicsInfo.GraphicsInfoUpdateListener l)

### isUpdatedInRealtimeMode

    public final boolean isUpdatedInRealtimeMode()

  Gets, whether the last update of these data has been done while in realtime mode.

  Returns:
    whether the last update of these data has been done while in realtime mode.

### getUpdateId

    public final long getUpdateId()

  This is incremented every time the info is updated.

  Returns:
    the current update id.

### readFromStream

    public void readFromStream(java.io.InputStream in)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeToStream

    public void writeToStream(java.io.OutputStream out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getCameraPosition

    public final void getCameraPosition(TelemVect3 position)

  camera position in meters

  Parameters:
    `position` - output buffer

### getCameraPositionX

    public final float getCameraPositionX()

  Gets camera position in meters.

  Returns:
    camera position in meters.

### getCameraPositionY

    public final float getCameraPositionY()

  Gets camera position in meters.

  Returns:
    camera position in meters.

### getCameraPositionZ

    public final float getCameraPositionZ()

  Gets camera position in meters.

  Returns:
    camera position in meters.

### getCameraOrientation

    public final void getCameraOrientation(TelemVect3 orientation)

  camera orientation

  Parameters:
    `orientation` - output buffer

### getAmbientColor

    public final java.awt.Color getAmbientColor()

  Gets the current ambient color.

  Returns:
    the current ambient color.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD